@font-face {
    font-family: 'Poppins';
    src: url(./../fonts/Poppins-SemiBold.ttf)
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: #1e272e;
    font-family: 'Poppins';
}

#app {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

header {
    width: 100%;
    text-align: center;
}

header h1 {
    color: #fff;
    text-shadow: 3px 3px 0 #323232;
    font-size: 4rem;
}

header img {
    width: 50px;
}

.card {
    background-color: rgba(255, 255, 255, .5);
    width: 720px;
    margin: 0 auto;
    border-radius: 1rem;
}

.card-header {
    background-color: rgba(255, 255, 255, .3);
    border-top-right-radius: 1rem;
    border-top-left-radius: 1rem;
    padding: 1rem;
}

.card-body {
    padding: 1rem;
}

.card-body p {
    padding-left: 1rem;
    color: rgb(30, 30, 30);
    margin-top: 1rem;
}

ol {
    padding-left: 2rem;
    color: rgb(53, 50, 50)
}

.play {
    display: flex;
    padding: 1rem;
}

.play input {
    width: 100%;
    border-radius: .3rem;
    border: none;
    padding: .3rem .5rem;
}

button {
    transition: all .2s;
    ;
}

.play .btn {
    background-color: #0069d9;
    color: #fff;
    border: none;
    cursor: pointer;
    padding: .5rem .7rem;
    margin-left: 1rem;
}

.play .btn:hover {
    background-color: #5d96d4;
}

.play .btn:active {
    background-color: #0069d9;
}

.play .btn:disabled {
    background-color: grey;
}

.playground {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 800px;
    width: 1080px;
    display: none;
    flex-direction: column;
    margin: 0 auto;
}

.scoreboard {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 2rem 5rem;
    align-items: flex-end;
    font-size: 1.3rem;
    color: #fff;
}

.scoreboard .logo {
    display: flex;
    align-items: center;
}

.scoreboard .logo img {
    width: 50px;
    height: 50px;
    margin-right: 1rem;
}

.options {
    width: 100%;
    padding: 0 5rem;
    text-align: center;
}

.btn-lg {
    padding: 1.5rem 2rem;
    border: none;
    cursor: pointer;
    border-radius: 50rem;
    font-weight: bold;
    color: #fff;
    font-size: 2rem;
}

.btn-rewind {
    background-color: #ff3f34;
}

.btn-cancel {
    color: #333;
    margin-right: 1rem;
    display: none;
}

.btn-cancel:hover {
    color: #fff;
    background-color: #ccc;
}

.btn-rewind:hover {
    background-color: #ff5e57;
}

#rewindRange {
    width: 100%;
    display: none;
}

.mt-5 {
    margin-top: 2rem;
}

.buttons {
    display: flex;
    justify-content: center;
}

@media screen and (max-width: 768px) {
    #playground {
        width: 90%;
        height: 95vh;
        overflow: hidden;
    }

    .scoreboard {
        /* display: flex;
        justify-content: space-between; */
        /* flex-direction: column; */
        justify-content: space-between;
        font-size: small;
        width: 500px;
        /* flex-direction: row-reverse; */
        /* padding: 2rem 5rem;
        align-items: flex-end;
        font-size: 1.3rem;
        color: #fff; */
    }

    canvas {
        width: 100%;
        height: 100%;
    }

    .buttons {
        margin-top: 10px;
    }

    .btn-lg {
        padding: 1rem 1rem;
        font-size: 18px;
    }

    .card {
        width: 90%;
        /* margin: 0 auto; */
    }
}